# Interface FailableConsumer<T, E extends Throwable>

Type Parameters:
  `T` - the type of the input to the operation
  `E` - Thrown exception type.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableConsumer<T, E extends Throwable>
A functional interface like `Consumer` that declares a `Throwable`.

This is a functional interface whose functional method is `accept(Object)`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T object)`
  Accepts the given arguments.
  `default FailableConsumer<T,E>`
  `andThen(FailableConsumer<? super T, E> after)`
  Returns a composed `Consumer` like `Consumer.andThen(Consumer)`.
  `static <T, E extends Throwable>
  FailableConsumer<T,E>`
  `nop()`
  Gets the NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static <T, E extends Throwable> FailableConsumer<T,E> nop()
    Gets the NOP singleton.
    Type Parameters:
      `T` - Consumed type 1.
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(T object) throws E
    Accepts the given arguments.
    Parameters:
      `object` - the parameter for the consumable to accept
    Throws:
      `E` - Thrown when the consumer fails.

  - ### andThen

    default FailableConsumer<T,E> andThen(FailableConsumer<? super T, E> after)
    Returns a composed `Consumer` like `Consumer.andThen(Consumer)`.
    Parameters:
      `after` - the operation to perform after this operation
    Returns:
      a composed `Consumer` like `Consumer.andThen(Consumer)`.
    Throws:
      `NullPointerException` - when `after` is null